﻿using UnityEngine;
using System.Collections;
using UnityEngine.Audio;

public class Pause : MonoBehaviour {
    bool paused;
    public GameObject canvas;
    public AudioMixerSnapshot inGameSnapshot;
    public AudioMixerSnapshot pausedSnapshot;

    void Start () {
        paused = false;
        inGameSnapshot.TransitionTo(0.01f);
    }
	
	void Update () {
        if (Input.GetKeyUp(KeyCode.Escape)) {
            paused = !paused;
            canvas.SetActive(paused);
            if (paused) {
                pausedSnapshot.TransitionTo(0.01f);
                Time.timeScale = 0;
            }
            else {
                Time.timeScale = 1;
                inGameSnapshot.TransitionTo(1.0f);
            }
        }
	}
}
