﻿using UnityEngine;
using System.Collections;
using UnityEngine.Video;

public class VideoPlay : MonoBehaviour {

    public VideoClip videoClip;

	void Start () {
        VideoPlayer movie = gameObject.AddComponent<VideoPlayer>();
        if (videoClip != null)
        {
            movie.clip = videoClip;
        }
        else
        {
            // Editor
            movie.url = "Assets/Movies/SampleVideo_1280x720_5mb.mp4";
            // build
            //movie.url = Application.streamingAssetsPath + "/" + "Movies/SampleVideo_1280x720_5mb.mp4";
        }
        movie.renderMode = VideoRenderMode.RenderTexture;

        Renderer r = GetComponent<Renderer>();
        movie.targetTexture = RenderTexture.GetTemporary(1280, 720);
        r.material.mainTexture = movie.targetTexture;

        movie.Play();
        movie.isLooping = true;
    }
	
	void Update () {
        // esetleg lehet billentyuzettel/triggerrel kontrollalni
        // movie.Stop(), movie.Pause(), movie.Play(), etc.
    }
}
