﻿using UnityEngine;
using System.Collections;

public class Crash : MonoBehaviour
{
    public AudioSource siren;
    public AudioSource crash;
    public AudioClip crashClip;

    void Start()
    {
        crash = GetComponent<AudioSource>();
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Player")
        {
            crash.PlayOneShot(crashClip, 1.0f);
            siren.Stop();
        }
    }
}

